XScreenSaver(1)

NAME
xanalogtv - Simulate reception on an old analog TV set

SYNOPSIS
xanalogtv [--display host:display.screen] [--window] [--root] [--window-id number][--install] [--visual visual] [--cycle] [--no-cycle] [--fps]

DESCRIPTION
xanalogtv shows a simulation of an old TV set showing test patterns and any other images you have provided. It reproduces a wide range of TV reception bummage: snow, bloom, ghosting, and loss of vertical and horizontal sync. It also simulates the TV warming up. It will cycle through 12 channels, some with images you give it, and some with color bars or nothing but static.

The images that it uses will be grabbed from the portion of the screen underlying the window, or from the system's video input, or from a random file on disk, as indicated by the grabDesktopImages, grabVideoFrames, and chooseRandomImages options in the ~/.xscreensaver file; see xscreensaver-settings(1) for more details. It looks best with a video input or your digital photo collection.

OPTIONS
xanalogtv accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

X RESOURCES
Notable X resources supported include the following which correspond to standard TV controls: analogTVTint, analogTVColor, analogTVBrightness, and analogTVContrast. They range from 0 to 100, except for tint which is an angle between -180 and +180.

SEE ALSO
X(1), xteevee(MANSUFFIX), apple2(MANSUFFIX), bsod(MANSUFFIX), xscreensaver(1), xscreensaver-settings(1), xscreensaver-getimage(MANSUFFIX)

COPYRIGHT
Copyright © 2003 by Trevor Blackwell. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Trevor Blackwell <tlb@tlb.org>